%define real_name SDL_Perl
%define name perl-SDL
%define version 2.1.3
%define release %mkrel 4

Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Wrapper around the cross platform Simple DirectMedia Layer game library
License:    LGPL
Group:      Development/Perl
URL:        http://www.sdlperl.org/
# Upstream tarball with font files copyrighted under non-free licenses
# and the font test script which depends on them removed
# - AdamW 2008/03 (#38257)
Source:     http://sdlperl.org/downloads/%{real_name}-%{version}-fontclean.tar.gz
# stolen from gentoo
Patch0:     perl-SDL-2.1.3-build.patch
Patch1:     perl-SDL-2.1.3-gfxPie.patch
BuildRequires: perl-devel
BuildRequires: perl(Module::Build)
BuildRequires: perl(YAML)
BuildRequires: perl-PDL 
BuildRequires: mesaglu-devel
BuildRequires: libungif-devel
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_net-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel >= 2.0.8
Buildroot: %{_tmppath}/%{name}-%{version}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p0
# this test requires a sound device
rm -f t/mixerpm.t

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
rm -rf %{buildroot}
./Build install  destdir=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS TODO test
%{_mandir}/*/*
%{perl_vendorarch}/auto/SDL*
%{perl_vendorarch}/SDL*




%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.1.3-4mdv2009.1
+ Revision: 351750
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.3-3mdv2009.0
+ Revision: 224051
- rebuild

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.org> 2.1.3-2mdv2008.1
+ Revision: 180292
- use modified tarball with non-free font files (and the test script which uses them) removed (#38257)

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.3-1mdv2008.1
+ Revision: 164957
- new version

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.20.0-18mdv2008.1
+ Revision: 152277
- rebuild
- rebuild

* Tue Jan 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.20.0-16mdv2008.1
+ Revision: 146728
- fix mesaglu-devel BR
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.20.0-16mdv2007.0
+ Revision: 100649
- unpack patches
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-SDL

* Mon Sep 11 2006 Stefan van der Eijk <stefan@mandriva.org> 1.20.0-15
- %%mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.20.0-14mdk
- Rebuild

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-13mdk
- rebuild for new SDL_gfx

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-12mdk
- rebuild for new perl

* Tue Nov 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-11mdk
- patch for new SDL_gfx

* Thu May 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-10mdk
- drop patch 1 and build against fixed SDL_gfx

* Wed May 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.20.0-9mdk
- patch for new SDL_gfx

